Projects
Manage projects
Return the list of the projects of the account
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
Index of the page
0Number of items per page
10Success
Returns the number of items in the current page
Returns the number of the current page
0Returns the number of total items
Returns the number of items per page
10Returns the index of the page
Not Found
GET /v1/accounts/{account_id}/projects HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
{
"current_item_count": 1,
"current_page": 0,
"total_count": 1,
"items_per_page": 10,
"last_page": 1,
"items": [
{
"id": "text",
"name": "text"
}
]
}Create a project
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
ID of the project
Name of the project
Created
ID of the project
Name of the project
Validation errors
POST /v1/accounts/{account_id}/projects HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"id": "text",
"name": "text"
}Return one project by its id
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
The ID of the project
Success
ID of the project
Name of the project
Not Found
GET /v1/accounts/{account_id}/projects/{project_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "text",
"name": "text"
}Delete a project by its id.
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
The ID of the project
Deleted
No content
Not Found
DELETE /v1/accounts/{account_id}/projects/{project_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
No content
Update project informations - You can set only the properies you want to update in the request body.
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
The ID of the project
ID of the project
Name of the project
Updated
ID of the project
Name of the project
Validation errors
PATCH /v1/accounts/{account_id}/projects/{project_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"id": "text",
"name": "text"
}Switch the state of the project to active/inactive.
Prefix the token with 'Bearer ' to indicate it is a bearer token
The ID of the account
The ID of the project
State of the toggler
Updated
No content
Not Found
PATCH /v1/accounts/{account_id}/projects/{project_id}/toggle HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"state": "draft"
}No content
Last updated
Was this helpful?

